#! /usr/bin/env python
import sys

from scrib import barf, cfg


try:
	import pymongo
except:
	barf.Barf('ERR', 'Please install pymongo module for python.')
	sys.exit()


defaulthost = 'localhost'
defaultport = 27017

settings = cfg.set()
settings.load('scrib.cfg', {
	'name': 'scrib',
	'host': defaulthost,
	'port': defaultport,
	'debug': 0
}, suppress=True)

try:
	client = pymongo.MongoClient(settings.host, settings.port)
	db = client['scrib_%s' % settings.name]
except Exception as e:
	barf.Barf('MSG', "Tried to connect to %s:%d" % (settings.host, settings.port))
	barf.Barf('ERR', e.message)
	sys.exit()


class Personality(object):
	"""
	Takes the personality information and turns
	them into class objects.
	"""
	def __init__(self, **entries):
		self.__dict__.update(entries)

	def insert(self):
		db.personality.insert(self.__dict__)


class Sentence(object):
	def __init__(self, **entries):
		self.__dict__.update(entries)

	def insert(self):
		db.sentence.insert(self.__dict__)


class Word(object):
	def __init__(self, **entries):
		self.__dict__.update(entries)

	def insert(self):
		db.word.insert(self.__dict__)
